diff -Naur blender.orig/CMakeLists.txt blender/CMakeLists.txt
--- blender.orig/CMakeLists.txt	2011-06-29 14:14:37.834431000 -0500
+++ blender/CMakeLists.txt	2011-08-03 15:55:22.249372006 -0500
@@ -414,7 +414,7 @@
 		set(OPENCOLLADA /usr/local/opencollada CACHE PATH "OpenCollada Directory")
 		mark_as_advanced(OPENCOLLADA)
 		set(OPENCOLLADA_LIBPATH ${OPENCOLLADA}/lib)
-		set(OPENCOLLADA_LIBRARIES OpenCOLLADAStreamWriter OpenCOLLADASaxFrameworkLoader OpenCOLLADAFramework OpenCOLLADABaseUtils GeneratedSaxParser UTF MathMLSolver pcre ftoa buffer xml2)
+		set(OPENCOLLADA_LIBRARIES OpenCOLLADAStreamWriter OpenCOLLADASaxFrameworkLoader OpenCOLLADAFramework OpenCOLLADABaseUtils GeneratedSaxParser MathMLSolver pcre xml2)
 		set(OPENCOLLADA_INCLUDE_DIR ${OPENCOLLADA})
 
 		set(PCRE /usr CACHE PATH "PCRE Directory")
@@ -780,7 +780,7 @@
 			set(OPENCOLLADA ${LIBDIR}/gcc/opencollada)
 			set(OPENCOLLADA_INCLUDE_DIR ${OPENCOLLADA}/include)
 			set(OPENCOLLADA_LIBPATH ${OPENCOLLADA}/lib ${OPENCOLLADA}/lib)
-			set(OPENCOLLADA_LIBRARIES OpenCOLLADAStreamWriter OpenCOLLADASaxFrameworkLoader OpenCOLLADAFramework OpenCOLLADABaseUtils GeneratedSaxParser UTF MathMLSolver expat pcre buffer ftoa)
+			set(OPENCOLLADA_LIBRARIES OpenCOLLADAStreamWriter OpenCOLLADASaxFrameworkLoader OpenCOLLADAFramework OpenCOLLADABaseUtils GeneratedSaxParser MathMLSolver expat pcre)
 			set(PCRE_LIB pcre)
 		endif()
 		
@@ -970,7 +970,7 @@
 		set(OPENCOLLADA ${LIBDIR}/opencollada)
 		set(OPENCOLLADA_INCLUDE_DIR ${OPENCOLLADA}/include)
 		set(OPENCOLLADA_LIBPATH ${OPENCOLLADA}/lib)
-		set(OPENCOLLADA_LIBRARIES "OpenCOLLADASaxFrameworkLoader -lOpenCOLLADAFramework -lOpenCOLLADABaseUtils -lOpenCOLLADAStreamWriter -lMathMLSolver -lGeneratedSaxParser -lUTF -lxml2 -lbuffer -lftoa" )
+		set(OPENCOLLADA_LIBRARIES "OpenCOLLADASaxFrameworkLoader -lOpenCOLLADAFramework -lOpenCOLLADABaseUtils -lOpenCOLLADAStreamWriter -lMathMLSolver -lGeneratedSaxParser -lxml2" )
 		#pcre is bundled with openCollada
 		#set(PCRE ${LIBDIR}/pcre)
 		#set(PCRE_LIBPATH ${PCRE}/lib)
[?1049h[?1h=[?12;25h[?12l[?25h[27m[m[H[2J[?25l[1;1H[32m--- CMakeLists.txt.orig 2011-04-28 19:11:55.000000000 +0200
+++ CMakeLists.txt      2011-05-07 22:37:02.821442890 +0200[m
[33m@@ -406,8 +406,8 @@[m[35m if(UNIX AND NOT APPLE)[m[4;16H set(OPENCOLLADA /usr/local/opencollada CACHE FILEPATH "OpenCollada Directory")[5;16H mark_as_advanced(OPENCOLLADA)[6;16H set(OPENCOLLADA_LIBPATH ${OPENCOLLADA}/lib)
[35m-               set(OPENCOLLADA_LIB OpenCOLLADAStreamWriter OpenCOLLADASaxFrameworkLoader OpenCOLLADAFramm[8;1Hework OpenCOLLADABaseUtils GeneratedSaxParser [m[30m[43mUTF[m[35m MathMLSolver pcre ftoa buffer xml2)
-               set(OPENCOLLADA_INC ${OPENCOLLADA})[m
[36m+               set(OPENCOLLADA_LIB OpenCOLLADAStreamWriter OpenCOLLADASaxFrameworkLoader OpenCOLLADAFramm[11;1Hework OpenCOLLADABaseUtils GeneratedSaxParser MathMLSolver pcre xml2)
+               set(OPENCOLLADA_INC ${OPENCOLLADA}/include)[m[14;16H set(PCRE /usr CACHE FILEPATH "PCRE Directory")[15;16H mark_as_advanced(PCRE)
[33m@@ -620,7 +620,7 @@[m[35m elseif(WIN32)[m[17;24H set(OPENCOLLADA ${LIBDIR}/opencollada)[18;24H set(OPENCOLLADA_INC ${OPENCOLLADA}/include)[19;24H set(OPENCOLLADA_LIBPATH ${OPENCOLLADA}/lib)
[35m-                       set(OPENCOLLADA_LIB OpenCOLLADASaxFrameworkLoader OpenCOLLADAFramework OpenCOLLADD[21;1HABaseUtils OpenCOLLADAStreamWriter MathMLSolver GeneratedSaxParser xml2 buffer ftoa [m[30m[43mUTF[m[35m)[m
[36m+                       set(OPENCOLLADA_LIB OpenCOLLADASaxFrameworkLoader OpenCOLLADAFramework OpenCOLLADD[23;1HABaseUtils OpenCOLLADAStreamWriter MathMLSolver GeneratedSaxParser xml2)[m[24;24H set(PCRE_LIB pcre)[25;16H endif()

[33m@@ -742,7 +742,7 @@[m[35m elseif(WIN32)[m[28;24H set(OPENCOLLADA ${LIBDIR}/gcc/opencollada)[29;24H set(OPENCOLLADA_INC ${OPENCOLLADA}/include)[30;24H set(OPENCOLLADA_LIBPATH ${OPENCOLLADA}/lib ${OPENCOLLADA}/lib)[31;88H28,5-25[7C11%[30;25H[?12l[?25h[?25l
[1m[37m[41mE211: File "~/rpmbuild/blender-cycles/SOURCES/blender-2.57b-nobuffer_ftoa_utf_link.patch" no longer avai[m

[30;105H[1m[37m[41ml[31;1Hable[m

Interrupt: [32mPress ENTER or type command to continue[?12l[?25h
[m[?1l>[?1049lVim: Caught deadly signal HUP
Vim: Finished.
[31;1H